User Tools

Site Tools


docs:guide-user:firewall:fwbuilder:fwbuilder_install

fwbuilder is not part of the OpenWrt package tree

It does not appear to have been updated since 2013

Firewall Builder install

This is not about how to install fwbuilder, but how to install all things on your OpenWrt-box so you can use fwbuilder to configure it.

The orginal description is located at Firewall Builder 4.0 - 12.2 OpenWrt and Firewall Builder 5.0 - 12.2 OpenWrt

You have to install following packages:

  • ip
  • ip6tables (if you need IPv6)
  • iptables-mod-extra
  • iptables-utils
  • kmod-ipt-extra

after installation i had following Packages:

package version
base-files 43.10-r24045
busybox 1.15.3-2
crda 1.1.0-2
dnsmasq 2.55-5
dropbear 0.52-4
firewall 1-20
hotplug2 1.0-beta-2
ip 2.6.29-1-2
iptables 1.4.6-2
iptables-mod-conntrack 1.4.6-2
iptables-mod-extra 1.4.6-2
iptables-mod-nat 1.4.6-2
iptables-utils 1.4.6-2
iw 0.9.21-1
kernel 2.6.32.25-1
kmod-ath 2.6.32.25+2010-10-19-1
kmod-ath9k 2.6.32.25+2010-10-19-1
kmod-button-hotplug 2.6.32.25-1
kmod-cfg80211 2.6.32.25+2010-10-19-1
kmod-crc-ccitt 2.6.32.25-1
kmod-crypto-aes 2.6.32.25-1
kmod-crypto-arc4 2.6.32.25-1
kmod-crypto-core 2.6.32.25-1
kmod-input-core 2.6.32.25-1
kmod-input-gpio-buttons 2.6.32.25-1
kmod-input-polldev 2.6.32.25-1
kmod-ipt-conntrack 2.6.32.25-1
kmod-ipt-core 2.6.32.25-1
kmod-ipt-extra 2.6.32.25-1
kmod-ipt-nat 2.6.32.25-1
kmod-ipt-nathelper 2.6.32.25-1
kmod-leds-gpio 2.6.32.25-1
kmod-mac80211 2.6.32.25+2010-10-19-1
kmod-madwifi 2.6.32.25+r3314-4
kmod-nls-base 2.6.32.25-1
kmod-ppp 2.6.32.25-1
kmod-pppoe 2.6.32.25-1
kmod-usb-core 2.6.32.25-1
kmod-usb-ohci 2.6.32.25-1
kmod-usb2 2.6.32.25-1
libc 0.9.30.1-43.10
libgcc 4.3.3+cs-43.10
libiptc 1.4.6-2
liblua 5.1.4-7
libnl-tiny 0.1-1
libuci 12012009.6-2
libuci-lua 12012009.6-2
libxtables 1.4.6-2
lua 5.1.4-7
luci 0.9+svn6512-1
luci-admin-core 0.9+svn6512-1
luci-admin-full 0.9+svn6512-1
luci-admin-mini 0.9+svn6512-1
luci-app-firewall 0.9+svn6512-1
luci-app-initmgr 0.9+svn6512-1
luci-cbi 0.9+svn6512-1
luci-core 0.9+svn6512-1
luci-http 0.9+svn6512-1
luci-i18n-english 0.9+svn6512-1
luci-i18n-german 0.9+svn6512-1
luci-ipkg 0.9+svn6512-1
luci-lmo 0.9+svn6512-1
luci-nixio 0.9+svn6512-1
luci-sgi-cgi 0.9+svn6512-1
luci-sys 0.9+svn6512-1
luci-theme-base 0.9+svn6512-1
luci-theme-openwrt 0.9+svn6512-1
luci-uci 0.9+svn6512-1
luci-uvl 0.9+svn6512-1
luci-web 0.9+svn6512-1
mtd 13
opkg 576-1
ppp 2.4.4-11
ppp-mod-pppoe 2.4.4-11
swconfig 6
uci 12012009.6-2
udevtrigger 106-1
uhttpd 19
vsc7385-ucode-ap83 1
vsc7385-ucode-pb44 1
vsc7395-ucode-ap83 1
vsc7395-ucode-pb44 1
wireless-tools 29-4
wpad-mini 20100705-1
docs/guide-user/firewall/fwbuilder/fwbuilder_install.txt · Last modified: 2018/04/13 16:58 by tmomas